From 3506652e56299dab2e11cf9325edf18655fa5977 Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: Mar 19 2024 01:30:41 +0000
Subject: [PATCH 31/220] fix cosmic-store


---

diff --git a/cosmic-store/cosmic-store.spec b/cosmic-store/cosmic-store.spec
index 7a4542f..ecd6793 100644
--- a/cosmic-store/cosmic-store.spec
+++ b/cosmic-store/cosmic-store.spec
@@ -81,7 +81,15 @@ just rootdir=%{buildroot} prefix=%{_prefix} install
 
 %{_bindir}/cosmic-store
 %{_datadir}/applications/com.system76.CosmicStore.desktop
-
+%{_metainfodir}/com.system76.CosmicStore.metainfo.xml
+
+%{_datadir}/icons/hicolor/128x128/apps/com.system76.CosmicStore.svg
+%{_datadir}/icons/hicolor/16x16/apps/com.system76.CosmicStore.svg
+%{_datadir}/icons/hicolor/24x24/apps/com.system76.CosmicStore.svg
+%{_datadir}/icons/hicolor/256x256/apps/com.system76.CosmicStore.svg
+%{_datadir}/icons/hicolor/32x32/apps/com.system76.CosmicStore.svg
+%{_datadir}/icons/hicolor/48x48/apps/com.system76.CosmicStore.svg
+%{_datadir}/icons/hicolor/64x64/apps/com.system76.CosmicStore.svg
 
 
 %changelog
diff --git a/cosmic_apps.py b/cosmic_apps.py
index b892a16..dd7713b 100644
--- a/cosmic_apps.py
+++ b/cosmic_apps.py
@@ -668,7 +668,14 @@ COSMIC_STORE = {
 "build": f"just build-vendored",
 "install": f"just rootdir=%{{buildroot}} prefix=%{{_prefix}} install",
 "files": f"""
-{contains_app("cosmic-store","com.system76.CosmicStore",True, True, False, False, False, "")}
+{contains_app("cosmic-store","com.system76.CosmicStore",True, True, False, False, True, "")}
+%{{_datadir}}/icons/hicolor/128x128/apps/com.system76.CosmicStore.svg
+%{{_datadir}}/icons/hicolor/16x16/apps/com.system76.CosmicStore.svg
+%{{_datadir}}/icons/hicolor/24x24/apps/com.system76.CosmicStore.svg
+%{{_datadir}}/icons/hicolor/256x256/apps/com.system76.CosmicStore.svg
+%{{_datadir}}/icons/hicolor/32x32/apps/com.system76.CosmicStore.svg
+%{{_datadir}}/icons/hicolor/48x48/apps/com.system76.CosmicStore.svg
+%{{_datadir}}/icons/hicolor/64x64/apps/com.system76.CosmicStore.svg
 """,
 }
 

